

/*-------------------- types -----------------------------------------------*/

/*-------------------- Lockbits --------------------------------------------*/
#define LB1_CMD_MASK		(1<<7)
#define LB2_CMD_MASK		(1<<6)
#define LB3_CMD_MASK		(1<<5)	

typedef struct sLockBit	{ 
			char 		*Id;
			unsigned char	Mask;
		} LOCKBIT_T;
		
#ifndef extern
extern LOCKBIT_T	Lb1;
extern LOCKBIT_T	Lb2;
extern LOCKBIT_T	Lb3;
extern LOCKBIT_T	*LockBits[];
#else
LOCKBIT_T	Lb1 = { "LB1",        LB1_CMD_MASK    };
LOCKBIT_T	Lb2 = { "LB2",        LB2_CMD_MASK    };
LOCKBIT_T	Lb3 = { "LB3",        LB3_CMD_MASK    };
LOCKBIT_T	*LockBits[] = {
			&Lb1, 
			&Lb2,
			&Lb3,
		/*------ end -------------------*/
			NULL 	};
#endif		

typedef struct sPorts {	char *Id;
		unsigned long Port;
	} PORT_T;

typedef struct sDevice {
		char		*Id;
		long		CodeSize;
		long		DataSize;
		LOCKBIT_T	**LockBits;
	} DEVICE_T;

